Package be.e_contract.ejsf.validator.ratelimiter

# Class RateLimiterValidator

java.lang.Object
be.e_contract.ejsf.validator.ratelimiter.RateLimiterValidator

All Implemented Interfaces:
  `EventListener`, `javax.faces.component.PartialStateHolder`, `javax.faces.component.StateHolder`, `javax.faces.event.ActionListener`, `javax.faces.event.FacesListener`, `javax.faces.validator.Validator`

public class RateLimiterValidator extends Object implements javax.faces.validator.Validator, javax.faces.component.PartialStateHolder, javax.faces.event.ActionListener

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`VALIDATOR_ID`

### Fields inherited from interface javax.faces.event.ActionListener

`TO_FLOW_DOCUMENT_ID_ATTR_NAME`

### Fields inherited from interface javax.faces.validator.Validator

`NOT_IN_RANGE_MESSAGE_ID`

## Constructor Summary

Constructors
Constructor
Description
`RateLimiterValidator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clearInitialState()`
`String`
`getFor()`
`javax.el.ValueExpression`
`getForValueExpression()`
`int`
`getLimitForPeriod()`
`int`
`getLimitRefreshPeriod()`
`javax.el.ValueExpression`
`getMessageValueExpression()`
`javax.el.MethodExpression`
`getOnLimitMethodExpression()`
`int`
`getTimeoutDuration()`
`boolean`
`initialStateMarked()`
`boolean`
`isTransient()`
`void`
`markInitialState()`
`void`
`processAction(javax.faces.event.ActionEvent event)`
`void`
`restoreState(javax.faces.context.FacesContext context, Object state)`
`Object`
`saveState(javax.faces.context.FacesContext context)`
`void`
`setFor(String _for)`
`void`
`setForValueExpression(javax.el.ValueExpression forValueExpression)`
`void`
`setLimitForPeriod(int limitForPeriod)`
`void`
`setLimitRefreshPeriod(int limitRefreshPeriod)`
`void`
`setMessageValueExpression(javax.el.ValueExpression messageValueExpression)`
`void`
`setOnLimitMethodExpression(javax.el.MethodExpression onLimitMethodExpression)`
`void`
`setTimeoutDuration(int timeoutDuration)`
`void`
`setTransient(boolean newTransientValue)`
`void`
`validate(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### VALIDATOR_ID

public static final String VALIDATOR_ID

See Also:
  - Constant Field Values

## Constructor Details

### RateLimiterValidator

public RateLimiterValidator()

## Method Details

### getFor

public String getFor()

### setFor

public void setFor(String _for)

### getTimeoutDuration

public int getTimeoutDuration()

### setTimeoutDuration

public void setTimeoutDuration(int timeoutDuration)

### getLimitRefreshPeriod

public int getLimitRefreshPeriod()

### setLimitRefreshPeriod

public void setLimitRefreshPeriod(int limitRefreshPeriod)

### getLimitForPeriod

public int getLimitForPeriod()

### setLimitForPeriod

public void setLimitForPeriod(int limitForPeriod)

### getMessageValueExpression

public javax.el.ValueExpression getMessageValueExpression()

### setMessageValueExpression

public void setMessageValueExpression(javax.el.ValueExpression messageValueExpression)

### getOnLimitMethodExpression

public javax.el.MethodExpression getOnLimitMethodExpression()

### setOnLimitMethodExpression

public void setOnLimitMethodExpression(javax.el.MethodExpression onLimitMethodExpression)

### getForValueExpression

public javax.el.ValueExpression getForValueExpression()

### setForValueExpression

public void setForValueExpression(javax.el.ValueExpression forValueExpression)

### validate

public void validate(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Object value) throws javax.faces.validator.ValidatorException

Specified by:
  `validate` in interface `javax.faces.validator.Validator`
Throws:
  `javax.faces.validator.ValidatorException`

### saveState

public Object saveState(javax.faces.context.FacesContext context)

Specified by:
  `saveState` in interface `javax.faces.component.StateHolder`

### restoreState

public void restoreState(javax.faces.context.FacesContext context, Object state)

Specified by:
  `restoreState` in interface `javax.faces.component.StateHolder`

### isTransient

public boolean isTransient()

Specified by:
  `isTransient` in interface `javax.faces.component.StateHolder`

### setTransient

public void setTransient(boolean newTransientValue)

Specified by:
  `setTransient` in interface `javax.faces.component.StateHolder`

### processAction

public void processAction(javax.faces.event.ActionEvent event) throws javax.faces.event.AbortProcessingException

Specified by:
  `processAction` in interface `javax.faces.event.ActionListener`
Throws:
  `javax.faces.event.AbortProcessingException`

### markInitialState

public void markInitialState()

Specified by:
  `markInitialState` in interface `javax.faces.component.PartialStateHolder`

### initialStateMarked

public boolean initialStateMarked()

Specified by:
  `initialStateMarked` in interface `javax.faces.component.PartialStateHolder`

### clearInitialState

public void clearInitialState()

Specified by:
  `clearInitialState` in interface `javax.faces.component.PartialStateHolder`